from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContent(XInterface, Protocol):
    def getIdentifier(self) -> XContentIdentifier: ...
    def getContentType(self) -> str: ...
    def addContentEventListener(self, Listener: XContentEventListener) -> None: ...
    def removeContentEventListener(self, Listener: XContentEventListener) -> None: ...
